RubyのバージョンをあげたらRedmineでエラーが出た

Tetsuro Aoki 283views 更新:2015年2月13日

Redmine2.0.3でRubyを1.9系から2.1系にバージョンアップする作業を行っていたところ、
以下の様なエラーが出てしまいました。

317:in `rescue in depend_on'/var/lib/redmine/redmine-2.0.3/vendor/bundle/ruby/2.1.0/gems/activesupport-3.2.6/lib/active_support/dependencies.rb:317:in `rescue in depend_on': Missing helper file helpers/iconv.rb (LoadError)

: Missing helper file helpers/iconv.rb (LoadError)

iconvがロードできないと怒られているようです。
Gemfileに以下のように追記してbundle installで解決できました。

gem "iconv"

ログイン / 新規登録してコメントする

このソースコードをストックして後で利用したり、作業に利用したソースコードをまとめることができます。

こちらもお役に立つかもしれません